Skip to main content
GET
List Ontology Components

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Api-key
string | null

Query Parameters

q
string | null
component_type
enum<string> | null
Available options:
entity,
attribute,
action,
relationship,
hierarchy
status
enum<string> | null
Available options:
active,
deprecated
include_deprecated
boolean
default:false
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

key
string
required

Stable ontology key, for example customer, customer.plan_type, user.login, or account_has_subscription.

Required string length: 1 - 255
component_type
enum<string>
required
Available options:
entity,
attribute,
action,
relationship,
hierarchy
content
string
required

Freeform markdown defining the entity, attribute, action, relationship, or hierarchy.

Minimum string length: 1
id
string<uuid>
required
organisation_id
string
required
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
name
string | null

Optional human-readable display name.

Maximum string length: 255
subject_key
string | null

Optional parent/source ontology key, such as the entity for an attribute or action.

Maximum string length: 255
object_key
string | null

Optional target ontology key for relationships or hierarchies.

Maximum string length: 255
annotations
Annotations · object

Optional metadata such as aliases, lifecycle states, cardinality, examples, or review hints.

status
enum<string>
default:active
Available options:
active,
deprecated
dataset_mappings
OntologyDatasetMappingRead · object[]
created_by_member_id
string<uuid> | null
updated_by_member_id
string<uuid> | null
last_edit_reason
string | null